services:
  Chill\TaskBundle\Menu\UserMenuBuilder:
    arguments:
      $tokenStorage: '@Symfony\Component\Security\Core\Authentication\Token\Storage\TokenStorageInterface'
      $counter: '@Chill\TaskBundle\Templating\UI\CountNotificationTask'
      $translator: '@Symfony\Contracts\Translation\TranslatorInterface'
      $authorizationChecker: '@Symfony\Component\Security\Core\Authorization\AuthorizationCheckerInterface'
    tags:
      - { name: "chill.menu_builder" }

  Chill\TaskBundle\Menu\MenuBuilder:
    autowire: true
    autoconfigure: true
    tags:
      - { name: "chill.menu_builder" }

  Chill\TaskBundle\Menu\SectionMenuBuilder:
    arguments:
      $authorizationChecker: '@Symfony\Component\Security\Core\Authorization\AuthorizationCheckerInterface'
      $translator: '@Symfony\Contracts\Translation\TranslatorInterface'
    tags:
      - { name: "chill.menu_builder" }
